<!DOCTYPE html>
<html>
  <head>
    <title>MeetAndEat</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <nav class="navbar sticky-top navbar-expand-lg navbar-dark bg-primary">
      <a class="navbar-brand" href="/">MeetAndEat</a>

      <div class="collapse navbar-collapse d-flex justify-content-center">
        <div class="navbar-nav">
          <a class="nav-item nav-link active" href="/">Home</a>

          <% if current_user %>
            <%= link_to "Log Out", destroy_user_session_path, method: :delete, class: 'nav-item nav-link active' %>
          <% else %>
            <%= link_to "Log In", new_user_session_path, class: 'nav-item nav-link active' %>
            <%= link_to "Sign Up", new_user_registration_path, class: 'nav-item nav-link active' %>
          <% end %>
        </div>
      </div>
    </nav>

    <div class="container mt-2">
      <%= render partial: 'layouts/flash', flash: flash %>
    </div>

    <div class="container mt-5">
      <div class="row">
        <%= yield %>
      </div>
    </div>
  </body>
</html>
